List EventResponse
List all Events.
Retrieve a list of all Events, with options to filter the returned list based on various criteria. Each Event represents a unique instance of a state change within the system, classified under a specific kind of Event.
NOTES: You can:
- Use
eventNameas a valid Query parameter to filter the list of Events returned. For example:.../organizations/{orgId}/events?eventName=configuration.commitment.created - Use the List Notification Events endpoint in this section. The response lists the valid Query parameters.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of the Organization. The Organization represents your company as a direct customer of our service.
Query Parameters
The maximum number of Events to retrieve per page.
1 <= x <= 100List of Event UUIDs to filter the results.
NOTE: cannot be used with other filters.
Notification UUID to filter the results. Returns the Events that have triggered the Notification.
The Account ID associated with the Event to filter the results. Returns the Events that have been generated for the Account.
The category of Events to filter the results by. Options:
- Notification
- IntegrationEvent
- IngestValidationFailure
- DataExportJobFailure
Short code of the Notification to filter the results. Returns the Events that have triggered the Notification.
A Boolean flag indicating whether to return Events that have been actioned.
- TRUE - include actioned Events.
- FALSE - exclude actioned Events.
The nextToken for multi-page retrievals. It is used to fetch the next page of Events in a paginated list.